org.apache.lucene.codecs.lucene60

## Class Lucene60PointsWriter

- java.lang.Object
- - org.apache.lucene.codecs.PointsWriter
  - - org.apache.lucene.codecs.lucene60.Lucene60PointsWriter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class Lucene60PointsWriter
    extends PointsWriter
    implements Closeable

Writes dimensional values

### Field Summary

Fields
`protected IndexOutput` `dataOut` Output used to write the BKD tree data file
`protected Map<String,Long>` `indexFPs` Maps field name to file pointer in the data file where the BKD index is located.

### Constructor Summary

Constructors
Constructor and Description
`Lucene60PointsWriter(SegmentWriteState writeState)` Uses the defaults values for `maxPointsInLeafNode` (1024) and `maxMBSortInHeap` (16.0)
`Lucene60PointsWriter(SegmentWriteState writeState, int maxPointsInLeafNode, double maxMBSortInHeap)` Full constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `finish()` Called once at the end before close
`void` `merge(MergeState mergeState)` Default merge implementation to merge incoming points readers by visiting all their points and adding to this writer
`void` `writeField(FieldInfo fieldInfo, PointsReader reader)` Write all values contained in the provided reader

### Methods inherited from class org.apache.lucene.codecs.PointsWriter

`mergeOneField`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dataOut

    protected final IndexOutput dataOut

Output used to write the BKD tree data file

#### indexFPs

    protected final Map<String,Long> indexFPs

Maps field name to file pointer in the data file where the BKD index is located.

### Constructor Detail

#### Lucene60PointsWriter

    public Lucene60PointsWriter(SegmentWriteState writeState,
                                int maxPointsInLeafNode,
                                double maxMBSortInHeap)
                         throws IOException

Full constructor

Throws:
  `IOException`

#### Lucene60PointsWriter

    public Lucene60PointsWriter(SegmentWriteState writeState)
                         throws IOException

Uses the defaults values for `maxPointsInLeafNode` (1024) and `maxMBSortInHeap` (16.0)

Throws:
  `IOException`

### Method Detail

#### writeField

    public void writeField(FieldInfo fieldInfo,
                           PointsReader reader)
                    throws IOException

Description copied from class: `PointsWriter`
Write all values contained in the provided reader

Specified by:
  `writeField` in class `PointsWriter`
Throws:
  `IOException`

#### merge

    public void merge(MergeState mergeState)
               throws IOException

Description copied from class: `PointsWriter`
Default merge implementation to merge incoming points readers by visiting all their points and adding to this writer

Overrides:
  `merge` in class `PointsWriter`
Throws:
  `IOException`

#### finish

    public void finish()
                throws IOException

Description copied from class: `PointsWriter`
Called once at the end before close

Specified by:
  `finish` in class `PointsWriter`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`